#Castle west throneroom barrier #1
from eventAPI import *
from APIUtils import *

rtcBarrierFlag1=0

def fireEvent(e):
   global rtcBarrierFlag1
   rtcBarrierFlag1 = getTag(e, "rtcBarrierFlag1")
   if (rtcBarrierFlag1 == 1):
      return 1
   else:
      showPicture(e, "Red_Vortex")
      showMessage(e, ["You are stopped short by a strange barrier.  There does not appear to be any way past it."], optionInput)
      return 0
